org.apache.sling.auth.openid.impl

## Class AuthenticationFormServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.sling.auth.core.spi.AbstractAuthenticationFormServlet
      - - org.apache.sling.auth.openid.impl.AuthenticationFormServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    @Service(value=javax.servlet.Servlet.class)
    @Properties(value={@Property(name="service.vendor",value="The Apache Software Foundation"),@Property(name="service.description",value="Default Login Form for OpenID Authentication")})
    public class AuthenticationFormServlet
    extends org.apache.sling.auth.core.spi.AbstractAuthenticationFormServlet

The `AuthenticationFormServlet` provides the default login form used for OpenID Authentication.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sling.auth.core.spi.AbstractAuthenticationFormServlet

`CUSTOM_FORM_PATH, DEFAULT_FORM_PATH`

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationFormServlet()`

### Method Summary

Methods
`protected String` `getReason(javax.servlet.http.HttpServletRequest request)` Returns an informational message according to the value provided in the `j_reason` request parameter.

### Methods inherited from class org.apache.sling.auth.core.spi.AbstractAuthenticationFormServlet

`doGet, doPost, getContextPath, getCustomFormPath, getDefaultFormPath, getForm, getResource`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticationFormServlet

    public AuthenticationFormServlet()

### Method Detail

#### getReason

    protected String getReason(javax.servlet.http.HttpServletRequest request)

Returns an informational message according to the value provided in the `j_reason` request parameter. Supported reasons are invalid credentials and session timeout.

Specified by:
  `getReason` in class `org.apache.sling.auth.core.spi.AbstractAuthenticationFormServlet`
Parameters:
  `request` - The request providing the parameter
Returns:
  The "translated" reason to render the login form or an empty string if there is no specific reason